Package net.snowflake.client.core.auth.oauth

## Class TokenResponseDTO

- java.lang.Object
- - net.snowflake.client.core.auth.oauth.TokenResponseDTO

    @SnowflakeJdbcInternalApi
    public class TokenResponseDTO
    extends Object

### Constructor Summary

Constructors
`TokenResponseDTO​(String accessToken, String refreshToken, String tokenType, String scope, String username, boolean idpInitiated, long expiresIn, long refreshTokenExpiresIn)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAccessToken()`
`long` `getExpiresIn()`
`String` `getRefreshToken()`
`long` `getRefreshTokenExpiresIn()`
`String` `getScope()`
`String` `getTokenType()`
`String` `getUsername()`
`boolean` `isIdpInitiated()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TokenResponseDTO

    public TokenResponseDTO​(String accessToken,
                            String refreshToken,
                            String tokenType,
                            String scope,
                            String username,
                            boolean idpInitiated,
                            long expiresIn,
                            long refreshTokenExpiresIn)

### Method Detail

#### getAccessToken

    public String getAccessToken()

#### getTokenType

    public String getTokenType()

#### getRefreshToken

    public String getRefreshToken()

#### getScope

    public String getScope()

#### getExpiresIn

    public long getExpiresIn()

#### getUsername

    public String getUsername()

#### getRefreshTokenExpiresIn

    public long getRefreshTokenExpiresIn()

#### isIdpInitiated

    public boolean isIdpInitiated()